<template>
  <v-row justify="center" no-gutters>
    <v-card style="width: 100%">
      <v-toolbar style="position:relative" color="white" elevation="0">
        <v-spacer />
        <v-toolbar-title class="pt-5">
          <span
            class="primary--text pb-1"
            style="display:flex; flex-wrap: wrap; align-items: center; justify-content: center;"
          >
            <v-icon large color="primary" style="margin-right: 10px;">
              mdi-file-document-check
            </v-icon>
            <h4>
              Relatório Geral do Tópico
              <b>{{ collaborativeWorkReport.name }}</b>
            </h4>
          </span>
        </v-toolbar-title>
        <v-spacer />
        <v-tooltip color="red" bottom>
          <template v-slot:activator="{ on }">
            <v-icon
              v-on="on"
              style="position:absolute; right: 15px"
              color="red"
              @click="handleCloseReportDialog"
            >
              mdi-close
            </v-icon>
          </template>
          <span><b>Fechar</b> janela</span>
        </v-tooltip>
      </v-toolbar>
      <v-card-text>
        <v-data-table
          style="width: 100%;"
          class="elevation-0"
          :headers="headers"
          :items="teamsInfo"
          item-key="group"
        >
          <template v-slot:[`item.group`]="{ item, index }">
            <span style="text-transform: capitalize;"> {{ `Grupo ${index + 1}` }}</span>
          </template>
          <template v-slot:[`item.user`]="{ item }">
            <div v-for="participant in item.participants">
              <span style="text-transform: capitalize;">
                {{ `${participant.user.name} ${participant.user.surname}` }}</span
              >
            </div>
          </template>
          <template v-slot:[`item.document`]="{ item }">
            <span style="text-transform: capitalize;">
              {{ `Respostas: ${item.answers.length}` }}</span
            >
            <div style="display: block;">
              <span>[<a style="color: blue">DOWNLOAD</a>] - </span>
              <span v-if="item.answers.length > 0">{{
                `Última atualização: ${new Date(item.answers.slice().pop().sendDate).toLocaleString(
                  'pt-BR'
                )}`
              }}</span>
            </div>
          </template>
        </v-data-table>
      </v-card-text>
    </v-card>
    <!-- ALERRTS -->
    <!-- Confirma deletar da equipe-->
    <!-- <AlertConfirm
        :alert="alert"
        @clickCancelAlert="alert.status = false"
        @clickConfirmAlert=""
      /> -->
    <!-- Confirma sair da equipe-->
    <!-- <AlertConfirm
        :alert="alert3"
        @clickCancelAlert="alert3.status = false"
        @clickConfirmAlert=""
      /> -->
    <!-- Confirma adicionar a equipe-->
    <!-- <AlertConfirm
        :alert="alert2"
        @clickCancelAlert="alert2.status = false"
        @clickConfirmAlert=""
      /> -->
  </v-row>
</template>

<script>
export default {
  name: 'ReportAnswers',
  props: {
    collaborativeWorkReport: {
      type: Object,
      default: () => {
        return {}
      },
    },
    teamsInfo: {
      type: Array,
      default: () => {
        return []
      },
    },
  },
  computed: {
    // checkPermissions() {
    //   // usar checkPermissions.get('nome da permissão')
    //   return this.$store.state.user.mappedActions
    // },
    checkDialogIsActive() {
      return this.$store.state.user.closeDialog
    },
  },
  components: {},
  data: () => ({
    headers: [
      {
        text: 'Grupo',
        value: 'group',
      },
      {
        text: 'Usuário(s)',
        value: 'user',
      },
      {
        text: 'Documento postado',
        value: 'document',
      },
    ],
    // exampleData: [
    //   {
    //     group: 'group1',
    //     user: 'Bruno',
    //     document: 'teste',
    //   },
    //   {
    //     group: 'group2',
    //     user: 'Leozao',
    //     document: 'negado',
    //   },
    //   {
    //     group: 'group3',
    //     user: 'Lorde BumBumMole',
    //     document: 'teste',
    //   },
    //   {
    //     group: 'group4',
    //     user: 'nick',
    //     document: 'teste',
    //   },
    //   {
    //     group: 'group5',
    //     user: 'lucas',
    //     document: 'teste',
    //   },
    //   {
    //     group: 'group6',
    //     user: 'Jorge',
    //     document: 'teste',
    //   },
    // ],
  }),

  async created() {
    await this.setReportData()
  },
  watch: {
    collaborativeWorkReport(newValue, oldValue) {
      console.log(JSON.stringify(`newValue ${newValue} oldValue ${oldValue}`))
    },
  },
  methods: {
    handleCloseReportDialog() {
      this.$emit('handleCloseReportDialog')
    },

    async setReportData() {
      console.log('this.tempTeam filho: ', this.teamsInfo)
    },
  },
}
</script>

<style>
.buttonHoverViewTeam > .v-btn:hover {
  background: #e8e8e8 !important;
  color: #2a0845 !important;
}

.buttonSelected {
  background: #ffc107 !important;
  color: #2a0845 !important;
}
</style>
